#include <bits/stdc++.h>
 
#ifdef LOCAL
#define debug(x) cerr << #x << ": " << x << endl
#else
#define debug(x)
#endif
 
using namespace std;
 
using pi = pair<int, int>;
using vi = vector<int>;
using vpi = vector<pi>;
 
const int maxN = 2e3;
 
int n, w[maxN], ans;
vi pos[maxN][maxN], dp[maxN][maxN];
 
void solve() {
#ifdef LOCAL
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            pos[i][j].clear();
            dp[i][j].clear();
        }
    }
    ans = 0;
#endif
    cin >> n;
    for (int i = 0; i < n; i++) {
        cin >> w[i];
        ans += w[i];
    }
    pos[0][n - 1].push_back(0);
    for (int len = n; len > 1; len--) {
        for (int i = 0; i + len <= n; i++) {
            int j = i + len - 1;
            sort(pos[i][j].begin(), pos[i][j].end());
            pos[i][j].resize(unique(pos[i][j].begin(), pos[i][j].end()) - pos[i][j].begin());
            for (int h : pos[i][j]) {
                if (h >= 0) {
                    pos[i + 1][j].push_back(h - w[i]);
                    pos[i][j - 1].push_back(h - w[j]);
                } else {
                    pos[i + 1][j].push_back(h + w[i]);
                    pos[i][j - 1].push_back(h + w[j]);
                }
            }
        }
    }
    for (int i = 0; i < n; i++) {
        sort(pos[i][i].begin(), pos[i][i].end());
        pos[i][i].resize(unique(pos[i][i].begin(), pos[i][i].end()) - pos[i][i].begin());
        for (int j : pos[i][i]) {
            if (j >= 0) {
                dp[i][i].push_back(w[i]);
            } else {
                dp[i][i].push_back(-w[i]);
            }
        }
    }
    for (int len = 2; len <= n; len++) {
        for (int i = 0; i + len <= n; i++) {
            int j = i + len - 1;
            for (int h : pos[i][j]) {
                if (h >= 0) {
                    int l = lower_bound(pos[i + 1][j].begin(), pos[i + 1][j].end(), h - w[i]) - pos[i + 1][j].begin();
                    int r = lower_bound(pos[i][j - 1].begin(), pos[i][j - 1].end(), h - w[j]) - pos[i][j - 1].begin();
                    dp[i][j].push_back(max(dp[i + 1][j][l] + w[i], dp[i][j - 1][r] + w[j]));
                } else {
                    int l = lower_bound(pos[i + 1][j].begin(), pos[i + 1][j].end(), h + w[i]) - pos[i + 1][j].begin();
                    int r = lower_bound(pos[i][j - 1].begin(), pos[i][j - 1].end(), h + w[j]) - pos[i][j - 1].begin();
                    dp[i][j].push_back(min(dp[i + 1][j][l] - w[i], dp[i][j - 1][r] - w[j]));
                }
            }
        }
    }
    cout << (ans + dp[0][n - 1][0]) / 2 << " " << (ans - dp[0][n - 1][0]) / 2 << "\n";
}
 
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int test = 1;
#ifdef LOCAL
    cin >> test;
#endif
    while (test--) {
        solve();
    }
    return 0;
}
