#include<bits/stdc++.h>

using namespace std;
#define ll long long
#define pii pair<int, int>
#define ld long double
#define all(a) (a).begin(), (a).end()

const int N = 200 + 5;
const int W = 500 + 5;
const int inf = 1e9 + 7;

int dp[2][N][N][W];  // насколько A съет больше, чем B, если сейчас выбирает 0A/1B, а у второго во рту dif

void relax_max(int& a, int b) {
    a = max(a, b);
}
void relax_min(int& a, int b) {
    a = min(a, b);
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    vector<int> w(n);
    for (int i = 0; i < n; ++i) cin >> w[i];
    sort(all(w));  // по возрастанию
    
    for (int l = 0; l < n; ++l) {
        for (int ww = 0; ww < W; ++ww) {
            dp[0][l][l][ww] = w[l];
            dp[1][l][l][ww] = -w[l];
        }
    
    }

    if (n == 1) {
        cout << w[0] << ' ' << 0 << '\n';
        return 0;
    }

    for (int len = 2; len <= n; ++len) {
        for (int l = 0; l + len <= n; ++l) {
            int r = l + len - 1;

            for (int dif = 0; dif < W; ++dif) {
                // A eat w[l]
                int d1 = dif - w[l];
                if (d1 >= 0) {
                    dp[0][l][r][dif] = dp[0][l+1][r][d1] + w[l];
                } else {
                    dp[0][l][r][dif] = dp[1][l+1][r][-d1] + w[l];
                }
                
                // A eat w[r]
                d1 = dif - w[r];
                if (d1 >= 0) {
                    relax_max(dp[0][l][r][dif], dp[0][l][r-1][d1] + w[r]);
                } else {
                    relax_max(dp[0][l][r][dif], dp[1][l][r-1][-d1] + w[r]);
                }

                // B eat w[l]
                d1 = dif - w[l];
                if (d1 > 0) {
                    dp[1][l][r][dif] = dp[1][l+1][r][d1] - w[l];
                } else {
                    dp[1][l][r][dif] = dp[0][l+1][r][-d1] - w[l];
                }
                
                // B eat w[r]
                d1 = dif - w[r];
                if (d1 > 0) {
                    relax_min(dp[1][l][r][dif], dp[1][l][r-1][d1] - w[r]);
                } else {
                    relax_min(dp[1][l][r][dif], dp[0][l][r-1][-d1] - w[r]);
                }
            }
        }
    }

    int sum = 0;
    for (int ww : w) sum += ww;
    int res = dp[0][0][n-1][0];

    cout << (sum + res) / 2 << ' ' << (sum - res) / 2 << '\n';

    return 0;
}
