#include<bits/stdc++.h>

using namespace std;
#define ll long long
#define pii pair<int, int>
#define ld long double
#define all(a) (a).begin(), (a).end()

const int N = 2000 + 5;
const int inf = 1e9 + 7;

vector<int> dp[2][N];
int ori[N];
vector<int> rec_point[N];

int w[N];
int pref_w[N];


void relax_max(int& a, int b) {
    a = max(a, b);
}
void relax_min(int& a, int b) {
    a = min(a, b);
}


signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;

    for (int i = 0; i < n; ++i) cin >> w[i];
    sort(w, w + n);
    for (int i = 0; i < n; ++i) {
        pref_w[i + 1] = pref_w[i] + w[i];
    }

    if (n == 1) {
        cout << w[0] << ' ' << 0 << '\n';
        return 0;
    }
    
    int sum = 0;
    for (int ww : w) sum += ww;

    ori[n-1] = w[n-2];
    for (int r = n - 2; r >= 0; --r) {
        ori[r] = w[r + 1];
    }    

    for (int l = 0; l < 2; ++l) {
        for (int r = n - 1; r >= l; --r) {
            dp[l][r].resize(ori[r] * 2 + 1);
        }
    }

    for (int i = 0; i < n; ++i) {
        for (int ww = -ori[i]; ww < ori[i] + 1; ++ww) {
            rec_point[i].resize(ori[i] * 2 + 1, -1);
        }
    }

    for (int r = 0; r < n; ++r) {
        int atp = 1;
        int atm = 0;
        int cur_sum = 0;
        for (int r1 = r - 1; r1 >= -1; --r1) {
            // add r1 + 1
            // add atp, atm
            cur_sum += w[r1 + 1];
            while (atp <= ori[r] && atp - cur_sum <= 0) {
                rec_point[r][ori[r] + atp] = r1;
                ++atp;
            }
            while (atm >= -ori[r] && atm + cur_sum > 0) {
                rec_point[r][ori[r] + atm] = r1;
                --atm;
            }
        }
    }

    for (int l = n - 1; l >= 0; --l) {

        for (int dif = -ori[l]; dif < ori[l] + 1; ++dif) {
            dp[l%2][l][ori[l] + dif] = (dif <= 0 ? w[l] : -w[l]);        
        }
    
        for (int r = l + 1; r < n; ++r) {
            for (int dif = -ori[r]; dif < ori[r] + 1; ++dif) {
                if (dif <= 0) {
                    // A goes
                    int d1 = dif + w[l];
                    dp[l%2][r][ori[r] + dif] = dp[(l+1)%2][r][ori[r] + d1] + w[l];

                    int r1 = rec_point[r][ori[r] + dif];
                    if (r1 < l) {
                        relax_max(dp[l%2][r][ori[r] + dif], pref_w[r+1] - pref_w[l]);
                    } else {
                        int ww = pref_w[r+1] - pref_w[r1+1];
                        relax_max(dp[l%2][r][ori[r] + dif], dp[l%2][r1][ori[r1] + dif + ww] + ww);
                    }
                } else {
                    // B goes
                    int d1 = dif - w[l];
                    dp[l%2][r][ori[r] + dif] = dp[(l+1)%2][r][ori[r] + d1] - w[l];

                    int r1 = rec_point[r][ori[r] + dif];
                    if (r1 < l) {
                        relax_min(dp[l%2][r][ori[r] + dif], -(pref_w[r+1] - pref_w[l]));
                    } else {
                        int ww = pref_w[r+1] - pref_w[r1+1];
                        relax_min(dp[l%2][r][ori[r] + dif], dp[l%2][r1][ori[r1] + dif - ww] - ww);
                    }
                }
            }
        }
    }

    int res = dp[0][n-1][ori[n-1] + 0];
    cout << (sum + res) / 2 << ' ' << (sum - res) / 2 << '\n';

    return 0;
}
