#pragma GCC optimize("Ofast")
#pragma GCC target("avx2,popcnt")

#include "bits/stdc++.h"

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define rep1(i, n) for (int i = 1; i < (n); ++i)
#define rep1n(i, n) for (int i = 1; i <= (n); ++i)
#define repr(i, n) for (int i = (n) - 1; i >= 0; --i)
#define pb push_back
#define eb emplace_back
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define each(x, a) for (auto &x : a)
#define ar array
#define vec vector
#define range(i, n) rep(i, n)

using namespace std;

using ll = long long;
using ull = unsigned long long;
using ld = double;
using str = string;
using pi = pair<int, int>;
using pl = pair<ll, ll>;

using vi = vector<int>;
using vl = vector<ll>;
using vpl = vector<pl>;
using vpi = vector<pair<int, int>>;
using vvi = vector<vi>;

int Bit(int mask, int b) { return (mask >> b) & 1; }

template<class T>
bool ckmin(T &a, const T &b) {
    if (b < a) {
        a = b;
        return true;
    }
    return false;
}

template<class T>
bool ckmax(T &a, const T &b) {
    if (b > a) {
        a = b;
        return true;
    }
    return false;
}

const int INFi = 2e9;
const ll INF = 2e18;

const int N = 2005;
int n;
int w[N];

const int W = 20000;
using Bitset = bitset<20001>;

Bitset dp[N][2];
Bitset dp2[N][2];

bool Check(int x) {
    rep(i, n) rep(j, 2) {
            dp[i][j].reset();
            dp2[i][j].reset();
        }
    // ans >= x
    rep(i, n + 1) {
        {
            for (int v = 0; v < x; ++v) {
                dp[i][1][v] = 1;
            }
        }
        {
            for (int v = 0; v <= -x; ++v) {
                dp[i][0][v] = 1;
            }
        }
    }
    for (int len = 1; len <= n; ++len) {
        for (int l = 0; l + len <= n; ++l) {
            int r = l + len;
            {
                int q = w[l];
                dp2[l][0] = dp[l + 1][0] << q;
                for (int rem = 0; rem < q; ++rem) dp2[l][0][rem] = dp2[l][0][rem] | (!dp[l + 1][1][q - rem]);
            }
            {
                int q = w[r - 1];
                dp2[l][0] |= dp[l][0] << q;
                for (int rem = 0; rem < q; ++rem) dp2[l][0][rem] = dp2[l][0][rem] | (!dp[l][1][q - rem]);
            }
            {
                int q = w[l];
                dp2[l][1] = dp[l + 1][1] << q;
                for (int rem = 0; rem < q; ++rem) dp2[l][1][rem] = dp2[l][1][rem] | (!dp[l + 1][0][q - rem]);
            }
            {
                int q = w[r - 1];
                dp2[l][1] |= dp[l][1] << q;
                for (int rem = 0; rem < q; ++rem) dp2[l][1][rem] = dp2[l][1][rem] | (!dp[l][0][q - rem]);
            }
            dp2[l][1][0] = (!dp2[l][0][0]);
        }
        swap(dp, dp2);
    }
    return dp[0][0][0];
}

void solve() {
    cin >> n;
    rep(i, n) cin >> w[i];
    int sum = accumulate(w, w + n, 0);
    int L = -(*max_element(w, w + n));
    int R = -L + 1;
    while (R - L > 1) {
        int mid = (L + R) / 2;
        if (Check(mid)) {
            L = mid;
        } else {
            R = mid;
        }
    }
    int ans = L;
    // A + B = sum
    // A - B = ans;
    cout << (ans + sum) / 2 << ' ' << (sum - ans) / 2 << '\n';
}


signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout << setprecision(15) << fixed;
    int t = 1;
//    cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}
