#include "bits/stdc++.h"

#include <ext/pb_ds/assoc_container.hpp>

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define rep1(i, n) for (int i = 1; i < (n); ++i)
#define rep1n(i, n) for (int i = 1; i <= (n); ++i)
#define repr(i, n) for (int i = (n) - 1; i >= 0; --i)
#define pb push_back
#define eb emplace_back
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define each(x, a) for (auto &x : a)
#define ar array
#define vec vector
#define range(i, n) rep(i, n)

using namespace std;
using namespace __gnu_pbds;

using ll = long long;
using ull = unsigned long long;
using ld = double;
using str = string;
using pi = pair<int, int>;
using pl = pair<ll, ll>;

using vi = vector<int>;
using vl = vector<ll>;
using vpl = vector<pl>;
using vpi = vector<pair<int, int>>;
using vvi = vector<vi>;

int Bit(int mask, int b) { return (mask >> b) & 1; }

template<class T>
bool ckmin(T &a, const T &b) {
    if (b < a) {
        a = b;
        return true;
    }
    return false;
}

template<class T>
bool ckmax(T &a, const T &b) {
    if (b > a) {
        a = b;
        return true;
    }
    return false;
}

const int INFi = 2e9;
const ll INF = 2e18;

const int N = 2005;
int n;
int w[N];

vi dp[N][N][2];

int calc(int l, int r, int rem, int tp) {
    if (l == r) return -rem;
    if (!rem && tp) return -calc(l, r, 0, 0);
    if (dp[l][r][tp].size() <= rem) dp[l][r][tp].resize(rem + 1, -INFi);
    int &value = dp[l][r][tp][rem];
    if (value != -INFi) return value;
    {
        int q = w[l];
        if (q <= rem) ckmax(value, calc(l + 1, r, rem - q, tp));
        else ckmax(value, -calc(l + 1, r, q - rem, tp^1));
    }
    {
        int q = w[r - 1];
        if (q <= rem) ckmax(value, calc(l, r - 1, rem - q, tp));
        else ckmax(value, -calc(l, r - 1, q - rem, tp^1));
    }
    return value;
}

void solve() {
    cin >> n;
    rep(i, n) cin >> w[i];
    int ans = calc(0, n, 0, 0);
    int sum = accumulate(w, w + n, 0);
    // A + B = sum
    // A - B = ans;
    cout << (ans + sum) / 2 << ' ' << (sum - ans) / 2 << '\n';
}


signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout << setprecision(15) << fixed;
    int t = 1;
//    cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}
