#include<bits/stdc++.h>

using namespace std;
#define ll long long
#define pii pair<int, int>
#define ld long double
#define all(a) (a).begin(), (a).end()

const int N = 2001;
const int W = 20000;
const int inf = 1e9 + 7;

vector<int> dp[N][N];  // насколько тот, кто сейчас будет есть, съет больше, чем второй (учитывая только внутренние кусочки)

void relax(int& a, int b) {
    a = max(a, b);
}
vector<int> r1[N];

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    vector<int> w(n);
    for (int i = 0; i < n; ++i) cin >> w[i];
    sort(all(w));  // по возрастанию

    vector<int> pref_w(n+1);
    for (int i = 1; i <= n; ++i) {
        pref_w[i] = pref_w[i-1] + w[i-1];
    }

    if (n == 1) {
        cout << w[0] << ' ' << 0 << '\n';
        return 0;
    }

    for (int l = 0; l < n - 1; ++l) {
        dp[l][l].resize(w[l+1] + 1, w[l]);
        for (int r = l + 1; r < n - 1; ++r) {
            dp[l][r].resize(w[r+1] + 1, -inf);
        }
        dp[l][n-1].resize(w[l] + 1, -inf);  //
    }
    dp[n-1][n-1].resize(w[n-2] + 1, w[n-1]);
    
    // cout << "uu" << endl;

    for (int r = 0; r < n; ++r) {
        r1[r].resize(w[min(n-1, r+1)] + 1, r);
        for (int dif = 0; dif < w[min(n-1, r+1)] + 1; ++dif) {
            int eat = 0;
            while ((eat == 0 || eat < dif) && r1[r][dif] >= 0) eat += w[r1[r][dif]--];
        }
    }


    for (int len = 2; len <= n; ++len) {
        for (int l = 0; l < n; ++l) {
            int r = l + len - 1;
            for (int dif = 0; dif < dp[l][r].size(); ++dif) {
                // l
                int d1 = dif - w[l];
                if (d1 <= 0) {
                    assert(dp[l+1][r].size() > -d1);
                    relax(dp[l][r][dif], w[l] - dp[l+1][r][-d1]);
                } else {
                    assert(dp[l+1][r].size() > d1);
                    relax(dp[l][r][dif], w[l] + dp[l+1][r][d1]);
                }

                // r                
                int r1_ = r1[r][dif];
                int eat = pref_w[r+1] - pref_w[r1_+1];

                if (l <= r1_) {
                    relax(dp[l][r][dif], eat - dp[l][r1_][eat - dif]);
                } else {
                    relax(dp[l][r][dif], pref_w[r+1] - pref_w[l]);
                }
            } 
        }   
    }
    int sum = 0;
    for (int ww : w) sum += ww;
    int res = dp[0][n-1][0];

    cout << (sum + res) / 2 << ' ' << (sum - res) / 2 << '\n';
    

    return 0;
}
