// #include "/home/tikhon/Documents/programs/testlib/testlib.h"
#include "testlib.h"
#include <bits/stdc++.h>
using namespace std;
#define ll long long

const int maxN = 2000;
const int maxW = 20000;

vector<int> N = {maxN, 3, maxN, 200, 500, maxN, maxN};
vector<int> w = {maxW, maxW, 2, 500, 5000, maxW, maxW};

int main(int argc, char** argv){
    registerValidation(argc, argv);

    int group = 0;
    if (validator.group() == "") {
        group = 6; // это полная группа, все тесты должны укладываться в эти ограничения
    } else {
        group = stoi(validator.group());
    }

    int n = inf.readInt(1, N[group], "n"); inf.readEoln();
    vector<int> v(n);
    for (int i = 0; i < n; ++i) {
        v[i] = inf.readInt(1, w[group], "w[i]");
        if (i + 1 != n) inf.readSpace();
    }
    inf.readEoln();
    
    for (int i = 0; i + 1 < n; ++i) {
        ensuref(v[i] <= v[i + 1], "array must increase");
    }
    
    if (group == 1) {
        ensuref(n == 3, "n should be 3 in group 1");
    }

    if (group == 4 || group == 5) {
        for (int i = 0; i + 1 < n; ++i) {
            ensuref(2 * v[i] >= v[i + 1], " w[i] * 2 >= w[i+1] should hold in groups 4, 5");
        }
    }

    int sum = 0;
    for (int i : v) sum += i;
    
    if (group == 4) {
        ensuref(sum <= 5000, "sum should be <= 5000 in group 4");
    }

    ensuref(sum <= maxW, "sum should be <= maxW");

    inf.readEof();
    return 0;
}
