#include<bits/stdc++.h>

using namespace std;
#define ll long long
#define pii pair<int, int>
#define ld long double
#define all(a) (a).begin(), (a).end()

const int N = 2000 + 5;
const int inf = 1e9 + 7;

vector<int> dp[N][N];
int ori[N][N];

void relax_max(int& a, int b) {
    a = max(a, b);
}
void relax_min(int& a, int b) {
    a = min(a, b);
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    vector<int> w(n);
    for (int i = 0; i < n; ++i) cin >> w[i];
    sort(all(w));  // по возрастанию

    if (n == 1) {
        cout << w[0] << ' ' << 0 << '\n';
        return 0;
    }
    
    int sum = 0;
    for (int ww : w) sum += ww;

    for (int l = 0; l < n; ++l) {
        ori[l][n-1] = w[n-2];
        if (l <= n - 2) ori[l][n-2] = w[n-1];

        for (int r = n - 3; r >= l; --r) {
            ori[l][r] = w[r + 1];
        }
    }

    for (int l = 0; l < n; ++l) {
        for (int r = n - 1; r >= l; --r) {
            dp[l][r].resize(ori[l][r] * 2 + 1);
        }    
    }

    for (int l = 0; l < n; ++l) {
        for (int ww = -ori[l][l]; ww < ori[l][l] + 1; ++ww) {
            dp[l][l][ori[l][l] + ww] = (ww <= 0 ? w[l] : -w[l]);
        } 
    }

    for (int len = 2; len <= n; ++len) {
        for (int l = 0; l + len <= n; ++l) {
            int r = l + len - 1;

            for (int dif = -ori[l][r]; dif < ori[l][r] + 1; ++dif) {
                if (dif <= 0) {
                    // A goes
                    int d1 = dif + w[l];
                    dp[l][r][ori[l][r] + dif] = dp[l+1][r][ori[l+1][r] + d1] + w[l];

                    d1 = dif + w[r];
                    if (-ori[l][r-1] <= d1 && d1 <= ori[l][r-1]) {
                        relax_max(dp[l][r][ori[l][r] + dif], dp[l][r-1][ori[l][r-1] + d1] + w[r]);
                    }
                } else {
                    // B goes
                    int d1 = dif - w[l];
                    dp[l][r][ori[l][r] + dif] = dp[l+1][r][ori[l+1][r] + d1] - w[l];

                    d1 = dif - w[r];
                    if (-ori[l][r-1] <= d1 && d1 <= ori[l][r-1]) {
                        relax_min(dp[l][r][ori[l][r] + dif], dp[l][r-1][ori[l][r-1] + d1] - w[r]);
                    }
                }
            }
        }
    }

    int res = dp[0][n-1][ori[0][n-1] + 0];
    cout << (sum + res) / 2 << ' ' << (sum - res) / 2 << '\n';

    return 0;
}
